Admin
Create or update a provider app
POST
/admin/provider-appsAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
curl -X POST "https://example.com/admin/provider-apps" \ -H "Content-Type: application/json" \ -d '{ "provider": "string" }'{ "$schema": "https://example.com/api/v1/schemas/SaveProviderAppResponse.json", "app": { "bot_token_configured": true, "bot_username": "string", "client_id": "string", "connection_mode": "string", "created_at": "string", "deletable": true, "editable": true, "id": "string", "instance_url": "string", "is_active": true, "name": "string", "provider": "string", "redirect_uri": "string", "secret_configured": true, "shadowed_by_environment": true, "source": "environment", "updated_at": "string", "webhook_secret_configured": true }, "existed": true, "requires_restart": true}